Skip to main content
POST
Create a counterparty

Authorizations

X-Ivy-Api-Key
string
header
required

API key for authentication

Headers

Idempotency-Key
string

Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.

Body

application/json
financialAddress
object
required

The counterparty financial address

accountHolderId
string | null

The id of the account holder whose counterparties to act on. Omit for the merchant's own counterparties.

name
string

The counterparty name

entityType
enum<string>
default:business

Classification of the counterparty. Defaults to business when omitted. Set individual for a personal bank account. US ACH payments to individual counterparties are sent as consumer payments.

Available options:
business,
individual,
non_profit,
sole_proprietor
isSelfOwned
boolean
default:false

Whether the counterparty is owned by the merchant. Must be true for a crypto wallet.

physicalAddress
object

The counterparty physical address

dateOfBirth
string

The counterparty date of birth as YYYY-MM-DD

Pattern: ^\d{4}-\d{2}-\d{2}$
metadata
object

The counterparty metadata

Response

200 - application/json

The created counterparty

status
enum<string>
required

The counterparty lifecycle status

Available options:
pending,
active,
rejected
id
string
required

The counterparty id

accountHolderId
string | null
required

The id of the account holder the counterparty belongs to, or null for the merchant's own counterparties

name
string | null
required

The counterparty name

entityType
enum<string>
required

Whether the counterparty is an individual, business, sole proprietor or non-profit

Available options:
business,
individual,
non_profit,
sole_proprietor
isSelfOwned
boolean
required

Whether the counterparty is owned by the merchant

blocked
boolean
required

Whether payments to and from the counterparty are blocked

financialAddress
object
required

The counterparty financial address

physicalAddress
object | null
required

The counterparty physical address

dateOfBirth
string | null
required

The counterparty date of birth as YYYY-MM-DD

metadata
object
required

The counterparty metadata

createdAt
string<date-time>
required

When the counterparty was created

updatedAt
string<date-time>
required

When the counterparty was last updated